import { ApiBase } from '../Implementation/ApiBase';
import { AdaptableColumnDataType } from '../../AdaptableState/Common/AdaptableColumn';
import { ColumnValuesComparer } from '../../AdaptableOptions/CustomSortOptions';
import { AdaptableComparerFunction } from '../../AdaptableState/Common/AdaptableComparerFunction';
export declare class CustomSortInternalApi extends ApiBase {
    getCustomSortComparer(columnId: string): ColumnValuesComparer | undefined;
    getCustomSortValue(value: any, columnDataType: AdaptableColumnDataType): any;
    getDefaultCustomSortComparer(columnId: string, columnValues: any[]): AdaptableComparerFunction;
    columnHasCustomSortComparer(columnId: string): boolean;
}
